package com.yunzhi.marketing.xlk.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.marketing.dto.StatisticsDTO;
import com.yunzhi.marketing.xlk.entity.CustomerVisit;
import com.yunzhi.marketing.xlk.vo.CustomerDetailVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客户到访单  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2021-07-30
 */
@Mapper
public interface CustomerVisitMapper extends BaseMapper<CustomerVisit> {

    int getFollowCustomer(@Param("params") StatisticsDTO statisticsDTo);

    List<CustomerDetailVO> getFollowCustomerDetail(@Param("params") StatisticsDTO statisticsDTo);
}
